POWER(4)

NAME
power - power button

SYNOPSIS
power0 at macebus0 (O2)
power0 at mainbus0 (Octane)

DESCRIPTION
The SGI O2 and Octane machines generate an interrupt when the power button on the front panel is pressed. The power driver catches that interrupt. If the hw.allowpowerdown sysctl(8) is set to 1, power will then signal init(8) to do a clean shutdown(8).

SEE ALSO
intro(4), macebus(4), init(8), rc.shutdown(8), sysctl(8)

HISTORY
Support for the power driver first appeared in OpenBSD 4.3.

AUTHORS
The power driver was written by Jasper Lievisse Adriaanse <jasper@openbsd.org>.